package com.vaadin.demo.springaddressbook;

import com.vaadin.demo.springaddressbook.contacteditor.ContactEditor;
import com.vaadin.demo.springaddressbook.contactlist.ContactList;
import com.vaadin.demo.springaddressbook.controls.Controls;
import com.vaadin.ui.HorizontalSplitPanel;
import com.vaadin.ui.VerticalLayout;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;

/**
 * @author Max Matveev &lt;mail@maxmatveev.com&gt;
 *         Date: 29.10.11
 */
@Component
@Scope("session")
public class MainLayout extends HorizontalSplitPanel {
    @Autowired
    private ContactList contactList;
    @Autowired
    private ContactEditor contactEditor;
    @Autowired
    private Controls controls;

    @PostConstruct
    protected void init() {
        VerticalLayout left = new VerticalLayout();
        left.setSizeFull();
        left.addComponent(contactList);
        left.setExpandRatio(contactList, 1);
        addComponent(left);
        addComponent(contactEditor);
        left.addComponent(controls);
    }
}
