package com.vaadin.demo.springaddressbook.contactlist;

import com.vaadin.demo.springaddressbook.container.Container;
import com.vaadin.ui.Table;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;

/**
 * @author Max Matveev &lt;mail@maxmatveev.com&gt;
 *         Date: 29.10.11
 */
@Component
@Scope("session")
public class ContactList extends Table {
    public static final String[] VISIBLE_COLS = new String[]{"Last Name",
            "First Name", "Company"};
    @Autowired
    private Container addressBookData;

    @PostConstruct
    protected void init() {
        setSizeFull();
        setContainerDataSource(addressBookData);
        setVisibleColumns(VISIBLE_COLS);
        setSelectable(true);
        setImmediate(true);

    }
}
